/* $Id: PosixThread.h,v 1.2 1999/11/01 19:15:35 v2kea318 Exp $

$Log: PosixThread.h,v $
 * Revision 1.2  1999/11/01  19:15:35  v2kea318
 * Added os_cancel().
 *
 * Revision 1.1  1999/10/22  19:52:43  v2kea318
 * Initial revision
 *
***************************************************************************

Provide implementation for the Thread class using POSIX threads.

***************************************************************************/

#ifndef MLIBSPP_POSIXTHREAD_H
#define MLIBSPP_POSIXTHREAD_H

#include "Thread.h"

class PosixThread : public Thread {
public:
  PosixThread() : Thread() {}
  ~PosixThread() {};
protected:
  PosixThread(thread_id_t i) : Thread(i) {}
  thread_id_t os_start(ThreadInitialRoutine init, void* args);
  void os_kill(int ecode);
  thread_return_value os_join(const Thread&);
  Pointer<Thread> os_self();
  void os_cancel();
};

#endif
